Index: c/src/lib/libbsp/arm/arm_bare_bsp/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/ChangeLog	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/ChangeLog	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -1,2 +1,12 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* irq/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-07-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/arm/arm_bare_bsp/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/clock/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/clock/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -7,5 +7,5 @@
 
 C_FILES = clockdrv.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/arm/arm_bare_bsp/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/console/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/console/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -9,9 +9,9 @@
 
 C_FILES = uart.c console.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 noinst_HEADERS = uart.h
 
-console_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
+console_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libbsp/arm/arm_bare_bsp/irq/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/irq/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/irq/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -12,6 +12,6 @@
 include_HEADERS = irq.h
 
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 irq_rel_OBJECTS = $(C_O_FILES) $(S_O_FILES)
Index: c/src/lib/libbsp/arm/arm_bare_bsp/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/start/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/start/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -4,5 +4,5 @@
 
 S_FILES = start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES)
@@ -16,14 +16,14 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(ARCH)/start.o
+.PRECIOUS: $(ARCH)/start.$(OBJEXT)
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/arm/arm_bare_bsp/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/startup/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/startup/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -8,8 +8,8 @@
 C_FILES = bsplibc.c bsppost.c bspstart.c exit.c bootcard.c main.c sbrk.c \
     gnatinstallhandler.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 S_FILES =
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 startup_rel_OBJECTS = $(C_O_FILES) $(S_O_FILES)
Index: c/src/lib/libbsp/arm/arm_bare_bsp/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/timer/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/timer/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -9,5 +9,5 @@
 
 C_FILES = timerstub.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/arm/arm_bare_bsp/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/wrapup/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/wrapup/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -6,5 +6,5 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), ../$(piece)/$(ARCH)/*.o)
+OBJS = $(foreach piece, $(BSP_PIECES), ../$(piece)/$(ARCH)/*.$(OBJEXT))
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/arm/vegaplus/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/vegaplus/ChangeLog	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/vegaplus/ChangeLog	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -1,2 +1,12 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* irq/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-07-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/arm/vegaplus/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/vegaplus/clock/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/vegaplus/clock/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -7,5 +7,5 @@
 
 C_FILES = clockdrv.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/arm/vegaplus/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/vegaplus/console/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/vegaplus/console/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -9,5 +9,5 @@
 
 C_FILES = uart.c console.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/arm/vegaplus/irq/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/vegaplus/irq/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/vegaplus/irq/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -9,8 +9,8 @@
 
 C_FILES = irq.c irq_init.c bsp_irq_init.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 S_FILES = irq_asm.S bsp_irq_asm.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include_HEADERS = irq.h
Index: c/src/lib/libbsp/arm/vegaplus/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/vegaplus/start/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/vegaplus/start/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -4,5 +4,5 @@
 
 S_FILES = start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES)
@@ -16,12 +16,12 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
+all: $(ARCH) $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/arm/vegaplus/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/vegaplus/startup/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/vegaplus/startup/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -10,5 +10,5 @@
 C_FILES = bsplibc.c bsppost.c bspstart.c exit.c bootcard.c main.c sbrk.c \
     gnatinstallhandler.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/arm/vegaplus/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/vegaplus/timer/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/vegaplus/timer/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -9,5 +9,5 @@
 
 C_FILES = timerstub.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/arm/vegaplus/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/vegaplus/wrapup/Makefile.am	(revision 3777ea14a794dd755261703954f3e3e6d76cd389)
+++ c/src/lib/libbsp/arm/vegaplus/wrapup/Makefile.am	(revision d0d73ecd45d91500ec5a1ab0e41ba353990e82ca)
@@ -10,6 +10,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.o) \
+OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.$(OBJEXT)) \
     $(foreach piece, $(GENERIC_FILES), ../../../$(piece)/$(ARCH)/$(piece).rel)
 
